package com.steerinfo.inPlantNavigation.controller;


import com.steerinfo.framework.controller.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.inPlantNavigation.service.IMapVertexEdgeService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.io.IOException;

/**
 * MapVertexEdge RESTful接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-04-28 09:07
 * 类描述
 * 修订历史：
 * 日期：2022-04-28
 * 作者：generator
 * 参考：
 * 描述：MapVertexEdge RESTful接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@RestController
@RequestMapping("/${api.version}/mapvertexedges")
public class MapVertexEdgeController extends BaseRESTfulController {

    @Autowired
    IMapVertexEdgeService mapVertexEdgeService;

    @ApiOperation(value="导入边数据，开发用")
    @GetMapping(value = "/importVertexEdge")
    public RESTfulResult importVertex() throws IOException {
        mapVertexEdgeService.importVertexEdge("默认文件写死了");
        return success("导入成功");
    }

    /*@ApiOperation(value="查询所有可用的边")
    @GetMapping(value = "/importVertexEdge")
    public RESTfulResult importVertex() throws IOException {
        mapVertexEdgeService.importVertexEdge("默认文件写死了");
        return success("导入成功");
    }*/
}
