package com.steerinfo.inPlantNavigation.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class IPMMSVertexEdge implements Serializable {
    @ApiModelProperty(value="主键",required=false)
    private BigDecimal vertexEdgeID;

    @ApiModelProperty(value="顶点主键（箭尾）",required=false)
    private BigDecimal outVertexID;

    @ApiModelProperty(value="顶点主键（箭头）",required=false)
    private BigDecimal inVertexID;

    @ApiModelProperty(value="权重",required=false)
    private Integer weigh;

    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;


    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;


    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;


    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;


    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;
}